classification
Title: Remove cl usage from aifc
Type: Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: brett.cannon, georg.brandl, quentin.gallet-gilles
Priority: release blocker Keywords: patch

Created on 2008-05-14 00:57 by brett.cannon, last changed 2008-06-07 19:02 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
aifc_3.0.patch quentin.gallet-gilles, 2008-06-03 09:39
Messages (5)
msg66808 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-14 00:57
The cl module has been removed from Python 3.0, but the aifc module still 
imports it in multiple locations. The module needs to be updated (with 
tests hopefully) so as to not use the cl module.
msg67496 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-29 15:14
I'm working on this one.
msg67611 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-06-01 22:40
The attached patch removes all cl references from the aifc module and
updates it to make it usable in 3.0. It also supports more compression
types because audioop has been enhanced throughout the years (i.e.
support for alaw encoding since 2.5). The changes are the following :

- replace strings with bytes for frames read from an aiff/aifc file.
- replace / by // to have integer division back
- added ulaw (as an alternative of ULAW) and alaw/ALAW compression
because audioop supports them (I've tested them successfully, using the
samples from this URL :
http://www-mmsp.ece.mcgill.ca/Documents/AudioFormats/AIFF/Samples.html )
- removed all tests when trying to import audioop : they can't fail anymore.
- a bit of PEP-8 cleanup

I'm not an AIFF/AIFC expert, so criticism is welcome!
msg67650 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-06-03 09:39
Updated the patch with the following corrections/improvements :

- corrected a missed str -> bytes
- replace % formatting occurrences with str.format()
- more PEP-8 conformance
msg67814 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-06-07 19:02
I found a few more bytes/str problems, committed patch in r64023.
History
Date User Action Args
2008-06-12 06:10:27georg.brandllinkissue2419 superseder
2008-06-08 23:28:19benjamin.petersonunlinkissue2775 dependencies
2008-06-07 19:02:22georg.brandlsetstatus: open -> closed
resolution: accepted
messages: + msg67814
2008-06-03 09:39:45quentin.gallet-gillessetfiles: - aifc_3.0.patch
2008-06-03 09:39:35quentin.gallet-gillessetfiles: + aifc_3.0.patch
messages: + msg67650
2008-06-02 21:58:55georg.brandlsetassignee: georg.brandl
nosy: + georg.brandl
2008-06-01 22:41:01quentin.gallet-gillessetfiles: + aifc_3.0.patch
keywords: + patch
messages: + msg67611
2008-05-29 15:14:14quentin.gallet-gillessetnosy: + quentin.gallet-gilles
messages: + msg67496
2008-05-16 04:42:51brett.cannonsetpriority: critical -> release blocker
2008-05-14 00:57:37brett.cannonlinkissue2775 dependencies
2008-05-14 00:57:13brett.cannoncreate